spliceCorrection {prospectr} | R Documentation

## Splice correction of a spectral matrix acquired with an ASD spectrometer

### Description

Corrects steps in an input spectral matrix by linear interpolation of the values of the edges of the middle sensor

### Usage

    spliceCorrection(X,wav,splice=c(1000,1830),interpol.bands=10)

### Arguments

`X` | numeric `data.frame`, `matrix` or `vector` to transform
`wav` | numeric `vector` with band positions
`splice` | numeric `vector` of the two positions of the splices, default = c(1000,1830) corresponding to the splices of the ASD FieldSpec Pro spectrometer.
`interpol.bands` | number of interpolation bands

### Details

Spectra acquired with an ASD FieldSpec Pro spectroradiometer usually exhibit steps at the splice of the three built-in sensors, positioned at 1000 nm (end of VNIR detector) and 1830 nm (end of SWIR1 detector).

### Value

a `matrix` with the splice corrected data

### Author(s)

Antoine Stevens

[Package prospectr version 0.1.3 Index]